import { defineComponent as y, useSlots as B, ref as h, computed as x, openBlock as F, createBlock as R, normalizeProps as t, guardReactiveProps as d, unref as o, createSlots as p, withCtx as n, createVNode as k, mergeProps as S, renderList as f, renderSlot as u } from "vue";
import { isUndefined as C, omit as m, pick as P } from "lodash-unified";
import "../../../ap-field/index.mjs";
import { apFormItemSlotNames as c } from "../../constant.mjs";
import "../../item/index.vue2.mjs";
import $ from "../../item/index.vue.mjs";
import N from "../../../ap-field/date-range/index.vue.mjs";
const T = /* @__PURE__ */ y({
  name: "ApFormItemDateRange",
  __name: "index",
  props: {
    htmlFor: {},
    prefixCls: {},
    label: {},
    help: {},
    extra: {},
    labelCol: {},
    wrapperCol: {},
    hasFeedback: { type: Boolean, default: !1 },
    colon: { type: Boolean, default: void 0 },
    labelAlign: {},
    prop: {},
    name: {},
    rules: {},
    autoLink: { type: Boolean, default: !0 },
    required: { type: Boolean, default: void 0 },
    validateFirst: { type: Boolean, default: void 0 },
    validateStatus: {},
    validateTrigger: {},
    messageVariables: {},
    hidden: { type: Boolean },
    noStyle: { type: Boolean },
    tooltip: {},
    span: {},
    order: {},
    offset: {},
    push: {},
    pull: {},
    xs: {},
    sm: {},
    md: {},
    lg: {},
    xl: {},
    xxl: {},
    flex: {},
    bordered: { type: Boolean },
    valuePropName: {},
    initialValue: {},
    _signal: {},
    transform: {},
    description: {},
    customFilled: {},
    disabled: { type: Boolean, default: void 0 },
    autoFocus: { type: Boolean },
    field: { default: () => ({}) },
    placeholder: {}
  },
  setup(b, { expose: _ }) {
    const e = b, s = B(), a = h(), g = x(() => ({
      placeholder: e.placeholder,
      disabled: e.disabled,
      ...e.field,
      bordered: e.bordered ? !1 : C(e.field?.bordered) ? !0 : e.field?.bordered
    }));
    return _({
      focus: () => a.value?.focus(),
      blur: () => a.value?.blur()
    }), (i, V) => (F(), R($, t(d(o(m)(e, ["field", "placeholder"]))), p({
      default: n(() => [
        k(o(N), S(g.value, {
          ref_key: "dateRangeRef",
          ref: a
        }), p({ _: 2 }, [
          f(o(m)(s, o(c)), (v, l) => ({
            name: l,
            fn: n((r) => [
              u(i.$slots, l, t(d(r || {})))
            ])
          }))
        ]), 1040)
      ]),
      _: 2
    }, [
      f(o(P)(s, o(c)), (v, l) => ({
        name: l,
        fn: n((r) => [
          u(i.$slots, l, t(d(r || {})))
        ])
      }))
    ]), 1040));
  }
});
export {
  T as default
};
